System requirements

This article is for the classic Google Maps. If you have opted-in to the new Google Maps, please refer to this article.

While Google Maps may work for other browsers, we encourage using the latest version of your favorite browser:

  • Internet Explorer (for Windows) Download
  • Firefox (for Windows, Mac, and Linux) Download
  • Safari (for Mac and Windows) Download
  • Google Chrome (for Windows and Mac) Download
Įspėjimas: „Windows 8“ naudotojams gali kilti problemų dėl Gatvės vaizdo, kai naudojama „Internet Explorer“ arba „Firefox“ naršyklė naujoje „Windows“ naudotojo sąsajoje. Norėdami išspręsti šią problemą, įjunkite naršyklės darbalaukio versiją.